Documentation Index
Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt
Use this file to discover all available pages before exploring further.
REST
- Positions: GET /api/v1/user/positions
- Fills: GET /api/v1/user/fills
- Vaults: GET /api/v1/user/vaults
Timestamps:
- REST objects include
timestamp_ms (milliseconds). The legacy timestamp (seconds) remains temporarily for backward compatibility.
SDK
const positions = await client.getPositions(); ->
export const PositionQuery = gql`
query Position($where: position_bool_exp, $limit: Int, $offset: Int, $order_by: [position_order_by!]) {
position(where: $where, limit: $limit, offset: $offset, order_by: $order_by) {
created_at
epoch
funding_index
id
margin
market_addr
price
sid
size
updated_at
user_addr
}
}
`;
const fills = await client.getFills(); ->
export const FillQuery = gql`
query Fill($where: fill_bool_exp, $limit: Int, $offset: Int, $order_by: [fill_order_by!]) {
fill(where: $where, limit: $limit, offset: $offset, order_by: $order_by) {
created_at
fee
id
maker_addr
maker_order_sid
market_addr
price
seq
sid
side
size
taker_addr
taker_order_sid
updated_at
value
}
}
`;